Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.services
Class RuntimeServices

`java.lang.Object
oracle.toplink.services.RuntimeServices`

Direct Known Subclasses:
  MBeanRuntimeServices

Deprecated. Will be replaced by a server-specific equivalent for oracle.toplink.services.oc4j.Oc4jRuntimeServices

public class RuntimeServices
extends java.lang.Object

Purpose: Provide a dynamic interface into the TopLink Session.

Description: This class is ment to provide a framework for gaining access to configuration of the TopLink Session during runtime. It will provide the basis for developement of a JMX service and possibly other frameworks.

See Also:
  `Oc4jRuntimeServices`

Constructor Summary
`RuntimeServices()` Deprecated. PUBLIC: Default Constructor
`RuntimeServices(Session session)` Deprecated. PUBLIC: Constructor

Method Summary
`void` | `addNewConnectionPool(java.lang.String poolName, int maxSize, int minSize, java.lang.String platform, java.lang.String driverClassName, java.lang.String url, java.lang.String userName, java.lang.String password)` Deprecated. PUBLIC: This method provides client with access to add a new connection pool to a TopLink ServerSession.
`void` | `addNewConnectionPool(java.lang.String poolName, int maxSize, int minSize, java.lang.String platform, java.lang.String driverClassName, java.lang.String url, java.lang.String userName, java.lang.String password, java.lang.String licencePath)` Deprecated. use addNewConnectionPool(String poolName, int maxSize, int minSize, String platform, String driverClassName, String url, String userName, String password) throws ClassNotFoundException instead.
`java.util.List` | `getAvailableConnectionPools()` Deprecated. PUBLIC: This method will return the available Connection pools within this Server Session
`java.util.List` | `getClassesInSession()` Deprecated. PUBLIC: This method is used to return those Class Names that have identity Maps in the Session.
`int` | `getLogLevel(java.lang.String category)` Deprecated. PUBLIC: Return the log level
`java.lang.Integer` | `getNumberOfObjectsInIdentityMap(java.lang.String className)` Deprecated. PUBLIC: This method is used to return the number of objects in a particular Identity Map
`java.lang.Integer` | `getNumberOfObjectsInIdentityMapSubCache(java.lang.String className)` Deprecated. PUBLIC: This method is used to return the number of objects in a particular Identity Map's subcache.
`java.util.List` | `getObjectsInIdentityMap(java.lang.String className)` Deprecated. PUBLIC: This method will return a collection of the objects in the Identity Map.
`java.util.List` | `getObjectsInIdentityMapSubCache(java.lang.String className)` Deprecated.
`java.util.List` | `getObjectsInIdentityMapSubCacheAsMap(java.lang.String className)` Deprecated. PUBLIC: This method is used to return a Map of the objects in a particular Identity Map's subcache.
`int` | `getSequencePreallocationSize()` Deprecated. PUBLIC: Method returns the value of the Sequence Preallocation size
`boolean` | `getShouldCacheAllStatements()` Deprecated. PUBLIC: Returns if statements should be cached or not
`boolean` | `getShouldLogDebug()` Deprecated.
`boolean` | `getShouldLogExceptions()` Deprecated.
`boolean` | `getShouldLogExceptionStackTrace()` Deprecated. Stack trace is logged for SEVERE all the time and at FINER level for WARNING or less
`boolean` | `getShouldLogMessages()` Deprecated. PUBLIC: This method is used to determine if logging is turned on
`boolean` | `getShouldLogPerformanceProfiler()` Deprecated. PUBLIC: Method indicates if Performace profile should be loged
`boolean` | `getShouldPrintConnection()` Deprecated. Connection is always printed whenever available
`boolean` | `getShouldPrintDate()` Deprecated. Date is always printed
`boolean` | `getShouldPrintSession()` Deprecated. Session is always printed whenever available
`boolean` | `getShouldPrintThread()` Deprecated. Thread is logged at FINE or less level
`boolean` | `getShouldProfilePerformance()` Deprecated. PUBLIC: This method will return if profgiling is turned on or not
`java.util.List` | `getSizeForPool(java.lang.String poolName)` Deprecated. PUBLIC: This method will retrieve the size of a particular connection pool
`int` | `getStatementCacheSize()` Deprecated. PUBLIC: Returns the statement cache size.
`void` | `resetAllConnections()` Deprecated. PUBLIC: This method is used to reset connections from the session to the database.
`void` | `setLogLevel(int level)` Deprecated. PUBLIC: Set the log level
`void` | `setProfileWeight(int weight)` Deprecated. PUBLIC: This method is used to change DMS sensor weight.
`void` | `setSequencePreallocationSize(int size)` Deprecated. PUBLIC: This method provide access for setting the sequence pre-allocation size
`void` | `setShouldCacheAllStatements(boolean shouldCacheAllStatements)` Deprecated. PUBLIC: Method used to set if statements should be cached.
`void` | `setShouldLogDebug(boolean shouldLogDebug)` Deprecated.
`void` | `setShouldLogExceptions(boolean shouldLogExceptions)` Deprecated.
`void` | `setShouldLogExceptionStackTrace(boolean shouldLogExceptionStackTrace)` Deprecated. Stack trace is logged for SEVERE all the time and at FINER level for WARNING or less
`void` | `setShouldLogMessages(boolean shouldLogMessages)` Deprecated.
`void` | `setShouldLogPerformanceProfiler(boolean shouldLogPerformanceProfiler)` Deprecated. PUBLIC: This method is used to turn on Profile logging when using th Performance Profiler
`void` | `setShouldPrintConnection(boolean shouldPrintConnection)` Deprecated. Connection is always printed whenever available
`void` | `setShouldPrintDate(boolean shouldPrintDate)` Deprecated. Date is always printed
`void` | `setShouldPrintSession(boolean shouldPrintSession)` Deprecated. Session is always printed whenever available
`void` | `setShouldPrintThread(boolean shouldPrintThread)` Deprecated. Thread is logged at FINE or less level
`void` | `setShouldProfilePerformance(boolean shouldProfile)` Deprecated. PUBLIC: This method is used to turn on Performance Profiling
`void` | `setStatementCacheSize(int size)` Deprecated. PUBLIC: Used to set the statement cache size.
`boolean` | `shouldLog(int Level, java.lang.String category)` Deprecated. PUBLIC: Check if a message of the given level would actually be logged.
`void` | `updatePoolSize(java.lang.String poolName, int maxSize, int minSize)` Deprecated. PUBLIC: This method allows the client to set the pool size for a particular pool, based on the pool name

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RuntimeServices

    public RuntimeServices()

  Deprecated.
  PUBLIC: Default Constructor

### RuntimeServices

    public RuntimeServices(Session session)

  Deprecated.
  PUBLIC: Constructor
Parameters:
  `session` - the session to be used with these RuntimeServices

Method Detail

### setShouldLogMessages

    public void setShouldLogMessages(boolean shouldLogMessages)

  Deprecated.
  OBSOLETE: Replaced by setLogLevel(int level);
  See Also:
    `setLogLevel(int level)`

### getShouldLogMessages

    public boolean getShouldLogMessages()

  Deprecated.
  PUBLIC: This method is used to determine if logging is turned on

### setShouldLogDebug

    public void setShouldLogDebug(boolean shouldLogDebug)

  Deprecated.
  OBSOLETE: Replaced by setLogLevel(int level);
  See Also:
    `setLogLevel(int level)`

### getShouldLogDebug

    public boolean getShouldLogDebug()

  Deprecated.
  OBSOLETE: Replaced by getLogLevel(String category);
  See Also:
    `getLogLevel(String category)`

### setShouldLogExceptions

    public void setShouldLogExceptions(boolean shouldLogExceptions)

  Deprecated.
  OBSOLETE: Replaced by setLogLevel(int level);
  See Also:
    `setLogLevel(int level)`

### getShouldLogExceptions

    public boolean getShouldLogExceptions()

  Deprecated.
  OBSOLETE: Replaced by getLogLevel(String category);
  See Also:
    `getLogLevel(String category)`

### setShouldLogExceptionStackTrace

    public void setShouldLogExceptionStackTrace(boolean shouldLogExceptionStackTrace)

  Deprecated. Stack trace is logged for SEVERE all the time and at FINER level for WARNING or less
  OBSOLETE:

### getShouldLogExceptionStackTrace

    public boolean getShouldLogExceptionStackTrace()

  Deprecated. Stack trace is logged for SEVERE all the time and at FINER level for WARNING or less
  OBSOLETE:

### setShouldPrintDate

    public void setShouldPrintDate(boolean shouldPrintDate)

  Deprecated. Date is always printed
  OBSOLETE:

### getShouldPrintDate

    public boolean getShouldPrintDate()

  Deprecated. Date is always printed
  OBSOLETE:

### setShouldPrintSession

    public void setShouldPrintSession(boolean shouldPrintSession)

  Deprecated. Session is always printed whenever available
  OBSOLETE:

### getShouldPrintSession

    public boolean getShouldPrintSession()

  Deprecated. Session is always printed whenever available
  OBSOLETE:

### setShouldPrintThread

    public void setShouldPrintThread(boolean shouldPrintThread)

  Deprecated. Thread is logged at FINE or less level
  OBSOLETE:

### getShouldPrintThread

    public boolean getShouldPrintThread()

  Deprecated. Thread is logged at FINE or less level
  OBSOLETE:

### setShouldPrintConnection

    public void setShouldPrintConnection(boolean shouldPrintConnection)

  Deprecated. Connection is always printed whenever available
  OBSOLETE:

### getShouldPrintConnection

    public boolean getShouldPrintConnection()

  Deprecated. Connection is always printed whenever available
  OBSOLETE:

### setShouldProfilePerformance

    public void setShouldProfilePerformance(boolean shouldProfile)

  Deprecated.
  PUBLIC: This method is used to turn on Performance Profiling

### getShouldProfilePerformance

    public boolean getShouldProfilePerformance()

  Deprecated.
  PUBLIC: This method will return if profgiling is turned on or not

### setShouldLogPerformanceProfiler

    public void setShouldLogPerformanceProfiler(boolean shouldLogPerformanceProfiler)

  Deprecated.
  PUBLIC: This method is used to turn on Profile logging when using th Performance Profiler

### getShouldLogPerformanceProfiler

    public boolean getShouldLogPerformanceProfiler()

  Deprecated.
  PUBLIC: Method indicates if Performace profile should be loged

### setShouldCacheAllStatements

    public void setShouldCacheAllStatements(boolean shouldCacheAllStatements)

  Deprecated.
  PUBLIC: Method used to set if statements should be cached. Please note that Statements can not be cached when using an external connection pool

### getShouldCacheAllStatements

    public boolean getShouldCacheAllStatements()

  Deprecated.
  PUBLIC: Returns if statements should be cached or not

### setStatementCacheSize

    public void setStatementCacheSize(int size)

  Deprecated.
  PUBLIC: Used to set the statement cache size. This is only valid if using cached Statements

### getStatementCacheSize

    public int getStatementCacheSize()

  Deprecated.
  PUBLIC: Returns the statement cache size. Only valid if statements are being cached

### setSequencePreallocationSize

    public void setSequencePreallocationSize(int size)

  Deprecated.
  PUBLIC: This method provide access for setting the sequence pre-allocation size

### getSequencePreallocationSize

    public int getSequencePreallocationSize()

  Deprecated.
  PUBLIC: Method returns the value of the Sequence Preallocation size

### updatePoolSize

    public void updatePoolSize(java.lang.String poolName,
                               int maxSize,
                               int minSize)

  Deprecated.
  PUBLIC: This method allows the client to set the pool size for a particular pool, based on the pool name
  Parameters:
    `poolName` - the name of the pool to be updated.
    `maxSize` - the new maximum number of connections
    `minSize` - the new minimum number of connections

### getAvailableConnectionPools

    public java.util.List getAvailableConnectionPools()

  Deprecated.
  PUBLIC: This method will return the available Connection pools within this Server Session
  Returns:
    java.util.List the available pools.

### getSizeForPool

    public java.util.List getSizeForPool(java.lang.String poolName)

  Deprecated.
  PUBLIC: This method will retrieve the size of a particular connection pool
  Parameters:
    `poolName` - the name of the pool to get the size for
  Returns:
    java.util.List a list containing two values. The first value is the Maximun size of the pool. The second value is the Minimum size of the pool.

### addNewConnectionPool

    public void addNewConnectionPool(java.lang.String poolName,
                                     int maxSize,
                                     int minSize,
                                     java.lang.String platform,
                                     java.lang.String driverClassName,
                                     java.lang.String url,
                                     java.lang.String userName,
                                     java.lang.String password,
                                     java.lang.String licencePath)
                              throws java.lang.ClassNotFoundException

  Deprecated. use addNewConnectionPool(String poolName, int maxSize, int minSize, String platform, String driverClassName, String url, String userName, String password) throws ClassNotFoundException instead.
  OBSOLETE: This method provides client with access to add a new connection pool to a TopLink ServerSession.
  Parameters:
    `poolName` - the name of the new pool
    `maxSize` - the maximum number of connections in the pool
    `minSize` - the minimum number of connections in the pool
    `platform` - the fully qualified name of the TopLink platform to use with this pool.
    `driverClassName` - the fully qualified name of the JDBC driver class
    `url` - the URL of the database to connect to
    `userName` - the user name to connect to the database with
    `password` - the password to connect to the database with
    `licencePath` - the path to the TopLink license file.
  Throws:
    `java.lang.ClassNotFoundException` - if any of the class names are mispelled.

### addNewConnectionPool

    public void addNewConnectionPool(java.lang.String poolName,
                                     int maxSize,
                                     int minSize,
                                     java.lang.String platform,
                                     java.lang.String driverClassName,
                                     java.lang.String url,
                                     java.lang.String userName,
                                     java.lang.String password)
                              throws java.lang.ClassNotFoundException

  Deprecated.
  PUBLIC: This method provides client with access to add a new connection pool to a TopLink ServerSession.
  Parameters:
    `poolName` - the name of the new pool
    `maxSize` - the maximum number of connections in the pool
    `minSize` - the minimum number of connections in the pool
    `platform` - the fully qualified name of the TopLink platform to use with this pool.
    `driverClassName` - the fully qualified name of the JDBC driver class
    `url` - the URL of the database to connect to
    `userName` - the user name to connect to the database with
    `password` - the password to connect to the database with
  Throws:
    `java.lang.ClassNotFoundException` - if any of the class names are mispelled.

### resetAllConnections

    public void resetAllConnections()

  Deprecated.
  PUBLIC: This method is used to reset connections from the session to the database. Please Note that this will not work with a SessionBroker at this time

### getClassesInSession

    public java.util.List getClassesInSession()

  Deprecated.
  PUBLIC: This method is used to return those Class Names that have identity Maps in the Session. Please note that SubClasses and aggregates will be missing form this list as they do not have separate identity maps.
  Returns:
    java.util.List contains all of the classes which have identity maps in the current session.

### getObjectsInIdentityMap

    public java.util.List getObjectsInIdentityMap(java.lang.String className)
                                           throws java.lang.ClassNotFoundException

  Deprecated.
  PUBLIC: This method will return a collection of the objects in the Identity Map. There is no particular order to these objects.
  Parameters:
    `className` - the fully qualified classname of the class to the instances of
  Throws:
    `thrown` - then the IdentityMap for that class name could not be found
    `java.lang.ClassNotFoundException`

### getNumberOfObjectsInIdentityMap

    public java.lang.Integer getNumberOfObjectsInIdentityMap(java.lang.String className)
                                                      throws java.lang.ClassNotFoundException

  Deprecated.
  PUBLIC: This method is used to return the number of objects in a particular Identity Map
  Parameters:
    `className` - the fully qualified name of the class to get number of instances of.
  Throws:
    `thrown` - then the IdentityMap for that class name could not be found
    `java.lang.ClassNotFoundException`

### getObjectsInIdentityMapSubCache

    public java.util.List getObjectsInIdentityMapSubCache(java.lang.String className)
                                                   throws java.lang.ClassNotFoundException

  Deprecated.
  PUBLIC: This method is used to return a collection of the objects in a particular Identity Map's subcache. Only works for those identity Maps with a sub cache (ie Hard Cache Weak Identity Map)
  Parameters:
    `className` - the fully qualified name of the class to get number of instances of.
  Throws:
    `thrown` - then the IdentityMap for that class name could not be found
    `java.lang.ClassNotFoundException`
  See Also:
    `getObjectsInIdentityMapSubCacheAsMap(String className)`

### getObjectsInIdentityMapSubCacheAsMap

    public java.util.List getObjectsInIdentityMapSubCacheAsMap(java.lang.String className)
                                                        throws java.lang.ClassNotFoundException

  Deprecated.
  PUBLIC: This method is used to return a Map of the objects in a particular Identity Map's subcache. Only works for those identity Maps with a sub cache (ie Hard Cache Weak Identity Map) This method replaces getObjectsInIdentityMapSubCache(className) which returns a list instead of a Map
  Parameters:
    `className` - the fully qualified name of the class to get number of instances of.
  Throws:
    `thrown` - then the IdentityMap for that class name could not be found
    `java.lang.ClassNotFoundException`

### getNumberOfObjectsInIdentityMapSubCache

    public java.lang.Integer getNumberOfObjectsInIdentityMapSubCache(java.lang.String className)
                                                              throws java.lang.ClassNotFoundException

  Deprecated.
  PUBLIC: This method is used to return the number of objects in a particular Identity Map's subcache. Only works for those identity Maps with a sub cache (ie Hard Cache Weak Identity Map)
  Parameters:
    `className` - the fully qualified name of the class to get number of instances of.
  Throws:
    `thrown` - then the IdentityMap for that class name could not be found
    `java.lang.ClassNotFoundException`

### getLogLevel

    public int getLogLevel(java.lang.String category)

  Deprecated.
  PUBLIC:

  Return the log level

  Parameters:
    `category` - the string representation of a TopLink category, e.g. "sql", "transaction" ...
  Returns:
    the log level

### setLogLevel

    public void setLogLevel(int level)

  Deprecated.
  PUBLIC:

  Set the log level

  Parameters:
    `level` - the new log level

### shouldLog

    public boolean shouldLog(int Level,
                             java.lang.String category)

  Deprecated.
  PUBLIC:

  Check if a message of the given level would actually be logged.

  Parameters:
    `category` - the string representation of a TopLink category
  Returns:
    true if the given message level will be logged

### setProfileWeight

    public void setProfileWeight(int weight)

  Deprecated.
  PUBLIC: This method is used to change DMS sensor weight.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD